import httpRequest from '@/utils/request.js'

//登录
export function apiProjectLogin(params) {
    return httpRequest({
        baseURL: process.env.VUE_APP_LOGIN_URL,
        url: 'admin-api/system/auth/login',
        data: params,
        method: "post"
    })
}

// 风电数据准备页面
export function apiGetbaseStation() {
    return httpRequest({
        baseURL: process.env.VUE_APP_GENERAT_URL,
        url: 'base/station',
        method: 'get'
    })
}

export function apiGetbaseWindturbine(params) {
    return httpRequest({
        baseURL: process.env.VUE_APP_GENERAT_URL,
        url: 'base/windturbine',
        method: 'get',
        params: params
    })
}

export function apiGetpowerpreparedata(params) {
    return httpRequest({
        baseURL: process.env.VUE_APP_GENERAT_URL,
        url: 'power/prepare/data',
        method: 'get',
        params: params
    })
}

export function apiGetpowerpreparetree() {
    return httpRequest({
        baseURL: process.env.VUE_APP_GENERAT_URL,
        url: 'power/prepare/tree',
        method: 'get'
    })
}

export function apiGetpowerprepareshow(params) {
    return httpRequest({
        baseURL: process.env.VUE_APP_GENERAT_URL,
        url: 'power/prepare/show',
        method: 'get',
        params: params
    })
}

export function apiGetExportMsg(params) {
    return httpRequest({
        baseURL: process.env.VUE_APP_GENERAT_URL,
        url: 'data/option/download',
        method: 'get',
        params: params
    })
}

//******************************end*******************************************//
